__gnu_cxx::slist< _Tp, _Alloc >(3)

NAME
__gnu_cxx::slist< _Tp, _Alloc > -

SYNOPSIS

Inherits __gnu_cxx::_Slist_base< _Tp, _Alloc >.

  Public Types
typedef _Base::allocator_type allocator_type
typedef _Slist_iterator< _Tp,
const _Tp &, const _Tp * > const_iterator"
typedef const value_type * const_pointer
typedef const value_type & const_reference
typedef ptrdiff_t difference_type
typedef _Slist_iterator< _Tp,
_Tp &, _Tp * > iterator"
typedef value_type * pointer
typedef value_type & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions
slist (const allocator_type &__a=allocator_type())
slist (size_type __n, const value_type &__x, const allocator_type &__a=allocator_type())
slist (size_type __n)
template<class _InputIterator > slist (_InputIterator __first, _InputIterator __last, const allocator_type &__a=allocator_type())
slist (const slist &__x)
template<class _Integer > void _M_assign_dispatch (_Integer __n, _Integer __val, __true_type)
template<class _InputIterator > void _M_assign_dispatch (_InputIterator __first, _InputIterator __last, __false_type)
void _M_fill_assign (size_type __n, const _Tp &__val)
void assign (size_type __n, const _Tp &__val)
template<class _InputIterator > void assign (_InputIterator __first, _InputIterator __last)
iterator before_begin ()
const_iterator before_begin () const
iterator begin ()
const_iterator begin () const
void clear ()
bool empty () const
iterator end ()
const_iterator end () const
iterator erase (iterator __pos)
iterator erase (iterator __first, iterator __last)
iterator erase_after (iterator __pos)
iterator erase_after (iterator __before_first, iterator __last)
reference front ()
const_reference front () const
allocator_type get_allocator () const
iterator insert (iterator __pos, const value_type &__x)
iterator insert (iterator __pos)
void insert (iterator __pos, size_type __n, const value_type &__x)
template<class _InIterator > void insert (iterator __pos, _InIterator __first, _InIterator __last)
iterator insert_after (iterator __pos, const value_type &__x)
iterator insert_after (iterator __pos)
void insert_after (iterator __pos, size_type __n, const value_type &__x)
template<class _InIterator > void insert_after (iterator __pos, _InIterator __first, _InIterator __last)
size_type max_size () const
void merge (slist &__x)
template<class _StrictWeakOrdering > void merge (slist &, _StrictWeakOrdering)
slist & operator= (const slist &__x)
void pop_front ()
iterator previous (const_iterator __pos)
const_iterator previous (const_iterator __pos) const
void push_front (const value_type &__x)
void push_front ()
void remove (const _Tp &__val)
template<class _Predicate > void remove_if (_Predicate __pred)
void resize (size_type new_size, const _Tp &__x)
void resize (size_type new_size)
void reverse ()
size_type size () const
void sort ()
template<class _StrictWeakOrdering > void sort (_StrictWeakOrdering __comp)
void splice (iterator __pos, slist &__x)
void splice (iterator __pos, slist &__x, iterator __i)
void splice (iterator __pos, slist &__x, iterator __first, iterator __last)
void splice_after (iterator __pos, iterator __before_first, iterator __before_last)
void splice_after (iterator __pos, iterator __prev)
void splice_after (iterator __pos, slist &__x)
void swap (slist &__x)
void unique ()
template<class _BinaryPredicate > void unique (_BinaryPredicate __pred)

  Private Types
typedef _Alloc::template
rebind< _Slist_node< _Tp >
 >::other _Node_alloc"

  Private Member Functions
_Slist_node_base * _M_erase_after (_Slist_node_base *__pos)
_Slist_node_base * _M_erase_after (_Slist_node_base *, _Slist_node_base *)
_Slist_node< _Tp > * _M_get_node ()
void _M_put_node (_Slist_node< _Tp > *__p)

  Private Attributes
_Slist_node_base _M_head

Detailed Description

  template<class _Tp, class _Alloc = allocator<_Tp>>class __gnu_cxx::slist< _Tp, _Alloc >
This is an SGI extension.

Todo
    Needs documentation! See http://gcc.gnu.org/onlinedocs/libstdc++/manual/documentation_style.html

Definition at line 292 of file slist.

Author

Generated automatically by Doxygen for libstdc++ from the source code.